@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.location-page {
  background-color: #f9f6ed;
  width: 100%;
  position: relative;
  overflow-x: hidden;
  .main-image {
    height: 100vh;
    width: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    position: relative;
    .main-title {
      margin: 0 auto;
      font-family: 'Editorial New';
      font-style: normal;
      font-weight: 200;
      font-size: 90px;
      letter-spacing: 0.01em;
      text-transform: uppercase;
      color: #f1efe5;
      position: relative;
      &::before {
        position: absolute;
        content: 'The';
        font-family: 'Notera';
        font-style: normal;
        font-weight: 400;
        font-size: 60px;
        color: #f1efe5;
        text-transform: capitalize;
        letter-spacing: 0.01em;
        left: -85px;
        top: -18px;
      }
      @include heading-font;
      @media (max-width: 1024px) {
        font-size: 50px;
        &::before {
          left: -65px;
          font-size: 40px;
        }
      }
      @media (max-width: 300px) {
        font-size: 32px;
      }
      @include mobile {
        margin-left: 50%;
        transform: translate(-40%) !important;
      }
    }
  }
  .second-section {
    width: 100%;
    position: relative;
    background: #f9f6ed;
    .text-div {
      padding: 120px 100px;
      .title {
        > div {
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: 70px;
          text-transform: uppercase;
          display: flex;
          align-items: center;
          line-height: 1.1em;
          margin-bottom: 10px;
          justify-content: center;
          flex-direction: column;

          &:last-child {
            display: block;
            text-align: center;
            width: 100%;
          }
          > span {
            display: inline;
            margin-top: 20px;
            font-family: 'Notera';
            font-style: normal;
            font-weight: 400;
            font-size: 60px;
            letter-spacing: -0.01em;
            color: #9c7e61;
            text-transform: lowercase;
            &::first-letter {
              text-transform: lowercase;
            }
            @include tablet {
              font-size: 50px;
            }
          }
          @include heading-font;
        }
      }
      .content {
        font-family: 'Manrope';
        font-style: normal;
        font-weight: 400;
        font-size: 19px;
        color: rgba(38, 46, 47, 0.7);
        opacity: 0.7;
        width: 52ch;
        margin: 0 auto;
        text-align: center;
        margin-top: 40px;

        @include subheading-font;
      }
    }
    .images-div {
      width: 100%;
      padding: 0 40px;
      padding-bottom: 120px;
      display: flex;
      box-sizing: border-box;
      align-items: flex-end;
      justify-content: space-between;
      .image-container {
        height: 65vh;
        position: relative;
        width: calc(53% - 32px);
        &:first-of-type {
          height: 50vh;
          width: 25.5%;
          margin-right: 16px;
          img {
            object-position: left;
          }
        }
        &:last-of-type {
          height: 50vh;
          width: 21.5%;
          margin-left: 16px;
        }
        > img {
          height: 100%;
          width: 100%;
          object-fit: cover;
        }
      }
    }
    .images-div-mobile {
      display: none;
      .carousel-root .control-dots .dot {
        opacity: 1;
        box-shadow: none;
        background: none;
        border: 1px solid white;
        border-radius: 50%;
        width: 8px;
        height: 8px;

        &.selected {
          background: white;
        }
      }
    }
    @media (max-width: 1024px) {
      .text-div {
        padding: 80px 20px;

        @include mobile {
          padding: 50px 20px;
        }
        .title {
          width: 100%;
          display: flex;
          flex-direction: column;
          align-items: center;
          text-align: center;
          > div {
            flex-direction: column;
            margin-left: 0;
            margin-bottom: 0;
            line-height: 1.3;
            &:last-of-type {
              width: max-content;
              display: flex;
              flex-direction: column;
              text-align: center;
              width: 16ch;
              margin-top: -10px;
              > span {
                font-size: 45px;
                margin: 0;
              }
            }
            > span {
              @include mobile {
                font-size: 32px;
                margin-bottom: 20px;
              }
            }
          }
        }
        .content {
          text-align: center;
          margin-top: 20px;
          width: min(45ch, 100%);
          @media (max-width: 300px) {
            width: 30ch;
          }
        }
      }
      .images-div {
        display: none;
      }
      .images-div-mobile {
        display: block;
        position: relative;
        padding: 0 0 40px;
        > div {
          > div {
            @include tablet {
              &:first-of-type {
                height: 500px;
                img {
                  height: 100%;
                  width: 100vw;
                }
              }
            }
          }
        }
      }
    }
  }
  .third-section {
    width: 100%;
    position: relative;
    background: #f9f6ed;
    .text-div {
      padding: 0 100px;
      padding-bottom: 50px;
      > div {
        font-family: 'Editorial New';
        font-style: normal;
        font-weight: 200;
        font-size: 80px;
        text-transform: uppercase;
        display: flex;
        justify-content: center;
        align-items: center;
        line-height: 1.3;
        > span {
          display: block;
          margin-top: 20px;
          font-family: 'Notera';
          font-style: normal;
          font-weight: 400;
          font-size: 60px;
          letter-spacing: -0.01em;
          color: #9c7e61;
          text-transform: lowercase;
          margin-left: 20px;
        }
        @include heading-font;
      }
    }

    .mapbox {
      position: relative;
      margin: 70px;

      .map-container {
        height: 600px;
        width: 100%;
        margin-top: 20px;
        @include mobile {
          height: 400px;
        }
        @include tablet {
          margin-top: 50px;
        }
      }
      @media (max-width: 1024px) {
        margin: 0;
      }

      .chips-container {
        display: flex;
        overflow: auto;
        & > * + * {
          margin-left: 20px;
        }

        @media (max-width: 800px) {
          & > * + * {
            margin-left: 10px;
          }
        }

        &::-webkit-scrollbar {
          display: none;
          width: 0;
        }

        @media (min-width: 1025px) {
          display: none;
        }
        @include tablet {
          justify-content: center;
        }
      }

      .chip {
        padding: 10px 20px;
        border-radius: 25px;
        border: 1px solid #262e2f;
        color: #262e2f;
        font-family: 'Manrope';
        font-weight: 400;
        font-size: 16px;
        white-space: nowrap;
        @include mobile {
          font-size: 12px;
        }
      }
    }
    .mapboxgl-popup {
      max-width: 400px;
      font: 12px/20px 'Helvetica Neue', Arial, Helvetica, sans-serif;
    }

    .millgrove-marker {
      background-image: url('/images/milligrove-map.svg');
      background-size: cover;
      width: 70px;
      height: 90px;
      border-radius: 50%;
      cursor: pointer;
    }

    .side-bar {
      position: absolute;
      right: 0;
      top: 0;
      z-index: 1;
      background-color: #434f50;
      padding: 20px 10px;
      width: 270px;
      color: #f1efe5;
      overflow: auto;

      @media (max-width: 1024px) {
        display: none;
      }

      .collapse-bar {
        border-bottom: 1px solid white;
        margin-top: 5px;
        position: relative;

        .title-img {
          height: 30px;
          width: 30px;
        }

        &:last-child {
          border-bottom: 0px;
        }

        .content {
          > span {
            &:hover {
              font-weight: 600;
            }
          }
        }
      }

      .header {
        font-family: 'Editorial New';
        font-style: normal;
        font-weight: 200;
        font-size: 20px;
        text-transform: uppercase;
        display: flex;
        padding-bottom: 10px;
        img {
          width: 12px;
          margin-right: 10px;
          cursor: pointer;
        }
        > div {
          cursor: pointer;
        }
      }
      .content {
        font-family: 'Manrope';
        font-style: normal;
        font-weight: 200;
        font-size: 14px;
        display: flex;
        flex-direction: column;
        > span {
          padding-bottom: 5px;
          cursor: pointer;
        }

        transition: all 1s ease-in-out;
      }
    }

    @media (max-width: 1024px) {
      .text-div {
        padding: 40px 20px 20px;

        @include mobile {
          padding-top: 50px;
        }
        > div {
          margin-left: 0;
          > span {
            font-size: 33px;
            margin: 0;
            margin-left: 10px;
            @include tablet {
              font-size: 50px;
            }
          }
          @include tablet {
            line-height: 1.3;
          }
        }
        @include tablet {
          padding-bottom: 50px;
        }
      }
    }
  }
  .fourth-section {
    width: 100%;
    background-color: #434f50;
    padding: 120px 0;
    > div {
      display: flex;
      align-items: center;
      justify-content: space-between;
      .text-div {
        margin-left: 125px;
        .title {
          > div {
            font-family: 'Editorial New';
            font-style: normal;
            font-weight: 200;
            letter-spacing: 0.01em;
            text-transform: uppercase;
            color: #f9f6ed;
            display: flex;
            align-items: center;
            line-height: 1em;
            > span {
              display: block;
              margin-bottom: 10px;
              line-height: 2em;
              margin-right: 30px;
              font-family: 'Notera';
              font-style: normal;
              font-weight: 400;
              text-transform: lowercase;
              font-size: 60px;
              letter-spacing: 0.01em;
              color: #f1efe5;
              &::first-letter {
                text-transform: capitalize;
              }
            }
            @include heading-font;
          }
        }
        .content {
          font-family: 'Manrope';
          font-style: normal;
          font-weight: 400;
          color: #f9f6ed;
          opacity: 0.7;
          width: 44ch;
          margin-left: 70px;
          margin-top: 37px;
          line-height: 34px;

          @include subheading-font;
        }
      }
      .potential-image {
        margin-right: 0;
        width: 49vw;
        height: 75vh;
        > img {
          width: 100%;
          height: 100%;
          object-fit: cover;
        }
      }
    }

    .images-div-mobile {
      display: none;
      margin-top: 90px;
      .carousel-root .control-dots .dot {
        opacity: 1;
        box-shadow: none;
        background: none;
        border: 1px solid white;
        border-radius: 50%;
        width: 8px;
        height: 8px;

        &.selected {
          background: white;
        }
      }
    }
    .explore-btn {
      display: none;
      background: #262e2f;
      border-radius: 150px;
      padding: 14px 19px;
      width: fit-content;
      margin: 0 auto;
      margin-top: 100px;
      font-family: 'Manrope';
      font-style: normal;
      font-weight: 400;
      font-size: 20px;
      text-align: center;
      cursor: pointer;
      letter-spacing: 0.02em;
      text-transform: uppercase;
      color: #f1efe5;
    }
    @media (max-width: 1024px) {
      padding-bottom: 0;
      padding-top: 80px;
      min-height: unset;

      @include mobile {
        padding-top: 50px;
      }
      > div {
        flex-direction: column;
        .text-div {
          margin: 0;
          padding: 0 20px;
          .title {
            width: 100%;
            > div {
              flex-direction: column;
              text-align: center;
              > span {
                font-size: 50px;
                margin: 0;
                @include mobile {
                  font-size: 33px;
                }
              }
              &:last-child {
                line-height: 1.3;
              }
            }
          }
          .content {
            text-align: center;
            margin: 20px 0 0;
            width: min(40ch, 100%);
            line-height: 1.7;
            margin-left: 50%;
            transform: translate(-50%) !important;
            @media (max-width: 300px) {
              width: 30ch;
            }
          }
        }
        .potential-image {
          display: none;
          width: 100%;
          margin-left: 0;
          margin-right: 0;
          > img {
            width: 100%;
          }
        }
      }
      .explore-btn {
        margin-top: 0;
        width: 280px;
        font-size: 14px;
      }
      .images-div-mobile {
        display: block;
        margin-top: 70px;
        height: 287px;
        @include tablet {
          height: 500px;
        }
        > img {
          object-fit: cover;
          width: 100%;
          height: 100%;
        }
      }
    }
  }
}

// The Home Section
.footer {
  position: relative;
  z-index: 2;
  background: $green-80;
}
.theHomeSection {
  background: $green-80;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 120px;
  margin-bottom: -90px;

  @media only screen and (min-width: 1025px) and (max-width: 1160px) {
    padding: 0 30px;
  }

  // @include desktop-lg {
  //   padding: 0 0px;
  // }

  @include tablet-p {
    padding: 100px 20px 0px;
    align-items: flex-start;
  }

  @include mobile {
    flex-direction: column-reverse;
    padding: 0 20px;
  }

  .homeSectionStyle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin: 0 auto;

    @include desktop-lg {
      max-width: 1440px;
    }

    @include mobile {
      flex-direction: column-reverse;
    }
  }

  .titleCustom {
    display: flex;
    align-items: flex-start;
    text-transform: uppercase;
    font-family: 'Editorial New';
    font-weight: 200;
    font-size: 65px;
    color: #e7e5df;
    letter-spacing: 0.01em;
    margin-top: -65px;

    @include tablet-p {
      font-size: 50px;
      margin: 0;
    }

    @include mobile {
      font-size: 40px;
      margin: 0;
    }
  }

  .textNotera {
    font-family: 'Notera';
    font-weight: 400;
    font-size: 53px;
    letter-spacing: 0.01em;
    color: #e7e5df;
    position: relative;
    top: -90px;

    @include tablet-p {
      top: -20px;
      text-align: center;
    }

    @include mobile {
      top: 0;
      text-align: center;
      font-size: 33px;
    }
  }

  .imgBoxStyle {
    width: 600px;
    height: 400px;
    position: relative;

    @include tablet-p {
      width: 45vw;
      height: 300px;
      margin-top: 0px;
    }

    img {
      position: absolute;
      top: -100px;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
    @include mobile {
      width: 90vw;
      height: 250px;
      margin-top: -140px;

      > img {
        top: 0;
      }
    }
    @media only screen and (min-width: 1025px) and (max-width: 1150px) {
      width: 300px;
      height: 200px;
    }
    @media only screen and (min-width: 1151px) and (max-width: 1450px) {
      width: 450px;
      height: 300px;
    }
  }

  .headSec {
    display: flex;
    align-items: flex-start;
    position: relative;
    & > * + * {
      margin-left: 10px;
    }

    @include tablet-p {
      padding-bottom: 0px;
    }

    @include mobile {
      margin-top: 30px;
      padding-bottom: 30px;
    }
  }

  .groupSec {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-right: 50px;
    @media screen and (max-width: 800px) {
      margin-right: 30px;
    }

    @include tablet-p {
      align-items: flex-start;
      justify-content: flex-start;
      flex-direction: column;
    }

    @include mobile {
      align-items: center;
      justify-content: center;
      flex-direction: column;
      padding-bottom: 150px;
      margin-right: 0;
    }
    @include tablet {
      margin-bottom: 150px;
    }
  }

  .discoverBtnMobile {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    width: 100px;
    position: relative;
    top: -2px;
    justify-content: center;
    align-items: center;
    padding: 0;

    img {
      width: 100%;
    }

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      width: clamp(20px, calc(20px + 1vw), 36px);
    }

    @include tablet-p {
      display: flex;
      top: 15px;
      width: 120px;
      margin-left: 50px;
    }

    @include mobile {
      display: flex;
      width: 90px;
    }
    @include tablet {
      margin-left: 100px;
    }
  }

  .discoverBtn {
    background: none;
    border: none;
    cursor: pointer;
    margin-bottom: 110px;
    position: relative;

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: clamp(20px, calc(20px + 1vw), 36px);
    }

    @include tablet-p {
      display: none;
    }

    @include mobile {
      display: none;
    }
    @include desktop-lg {
      margin-right: 70px;
    }

    @include desktop-xlg {
      margin-right: 80px;
    }
  }
  .discoverBtn.rotateMe,
  .discoverBtnMobile.rotateMe {
    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    .imgStyle {
      animation: rotate 3s;
    }
  }

  .assetsSec {
    display: flex;
    align-items: flex-end;

    @include mobile {
      flex-direction: column;
    }
    @media only screen and (min-width: 1025px) {
      & > * + * {
        margin-left: 50px;
      }
    }
    @media only screen and (min-width: 1160px) and (max-width: 1400px) {
      & > * + * {
        margin-left: 100px;
      }
    }
    @media only screen and (min-width: 1400px) {
      & > * + * {
        margin-left: 140px;
      }
    }
  }
}

.requestSubmited {
  text-align: center;
}

.requestHeading {
  text-align: center;
  margin-top: 50px;
}

.millgroveText {
  font-family: 'Notera';
  font-weight: 400;
  font-size: 41.11px;
  letter-spacing: -0.01em;
  margin-top: 60px;
  text-align: center;
  color: $brown-70;

  @include mobile {
    margin-top: 50px;
    font-size: 33px;
  }
}

.school-shopping-container {
  display: flex;
  > div {
    flex: 1;
    position: relative;
    img {
      width: 100%;
    }
  }
}

.image-and-text-container {
  display: flex;
  > div {
    flex: 1;
  }
  .potential-image {
    margin-right: 0;
    width: 49vw;
    height: 75vh;
    > img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
}
.school-shopping {
  // background-color: #6b4637;
  .images-div-mobile {
    display: none;
  }
}

@media screen and (max-width: 1023px) {
  .school-shopping {
    .images-div-mobile {
      display: block;

      @include tablet {
        img {
          height: 500px;
          width: 100vw;
        }
      }
    }
  }
  .school-shopping-container {
    display: none;
  }
  .location-page .fourth-section {
    padding: 50px 0;
  }
}

@include mobile() {
  .images-div-mobile {
    img {
      height: 300px;
      object-fit: cover;
    }
  }
}

.dark-backdrop {
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  position: absolute;
}

.tnc {
  padding: 8px;
  padding-bottom: 80px;
  margin-bottom: 0;
  @include subheading-font;
}
